SHELL=bash
server_path=/srv/web/regex

.PHONY: generate push all

all: generate push

generate:
	./generate.py

push:
	# assumes that you have rsync (a copying tool).
	# if necessary, use 'scp -r' instead of 'rsync -avuP'
	# also assumes you have something like this in your ~/.ssh/config:
	# Host quitte
	# 	HostName quitte.ifsr.de
	# 	User <usename>
	rsync -avuP ./deploy/ quitte:$(server_path)
	
